1. 4. Webhooks
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
      • Create Return Reason
      • Upload Return Attachment
      • Create Return
      • List Returns
      • Get Return
      • Approve Return
      • Reject Return
      • List Resolution Methods
      • Inspect Return
      • Cancel Return
      • Get Return Timeline
    • 4. Webhooks
      • Webhook Meta
        GET
      • List Webhooks
        GET
      • Create Webhook
        POST
      • Get Webhook
        GET
      • Update Webhook
        PUT
      • Delete Webhook
        DELETE
      • Rotate Webhook Secret
        POST
      • Send Test Webhook
        POST
      • List Webhook Deliveries
        GET
      • Get Webhook Delivery
        GET
      • Retry Webhook Delivery
        POST
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 4. Webhooks

Get Webhook

GET
/partner/v1/webhooks/{id}
One webhook endpoint (secret masked).

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Not found
🟠401Unauthorized
🟠403Missing scope / feature
🟠429Rate limited
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/webhooks/' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "url": "string",
        "api_version": "string",
        "description": "string",
        "secret": "string",
        "previous_secret_expires_at": "string",
        "subscribed_events": [
            "string"
        ],
        "is_active": true,
        "disabled_reason": "string",
        "created_at": "string",
        "updated_at": "string"
    }
}
Previous
Create Webhook
Next
Update Webhook
Built with